WhatsNext:AddConditionalStatement("Strength",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(2,UnitStat("player",1)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's total strength is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Base Strength",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(1,UnitStat("player",1)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's base strength is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Agility",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(2,UnitStat("player",2)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's total agility is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Base Agility",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(1,UnitStat("player",2)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's base agility is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Stamina",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(2,UnitStat("player",3)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's total stamina is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Base Stamina",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(1,UnitStat("player",3)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's base stamina is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Intellect",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(2,UnitStat("player",4)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's total intellect is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Base Intellect",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(1,UnitStat("player",4)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's base intellect is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Spirit",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(2,UnitStat("player",5)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's total spirit is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Base Spirit",{
	category = "Primary Stats",
	test = function(checkTable) 
		return select(1,UnitStat("player",5)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's base spirit is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Dodge Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(3) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's dodge rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Parry Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(4) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's parry rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Melee Hit Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(6) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's melee hit rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Range Hit Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(7) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's range hit rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Spell Hit Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(8) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's spell hit rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Melee Crit Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(9) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's melee crit rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Range Crit Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(10) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's range crit rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Spell Crit Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(11) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's spell crit rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Melee Haste Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(18) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's melee haste rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Range Haste Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(19) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's range haste rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Spell Haste Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(20) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's spell haste rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Expertise Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(24) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's expertise rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Mastery Rating",{
	category = "Secondary Stats",
	test = function(checkTable) 
		return GetCombatRating(26) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player's mastery rating is at or above ".. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})